#
# Jonathan Lenoir
# Le 14/01/2018
# Script pour carte interactive
#
library(rgdal)
library(leaflet)
library(htmlwidgets)
setwd("/Users/jonlen/Desktop/Authorea")
lenoir <- readOGR("Lenoir_al_2008_Science.kml", "Lenoir_al_2008_Science.kml")
pinsky <- readOGR("Pinsky_al_2013_Science.kml", "Pinsky_al_2013_Science.kml")
popupT <- paste0("Lenoir et al. (2008) A Significant Upward Shift in Plant Species Optimum Elevation During the 20th Century. Science 320, 1768-1771")
popupM <- paste0("Pinsky et al. (2013) Marine Taxa Track Local Climate Velocities. Science 341, 1239-1242")
m <- leaflet() %>% 
  addTiles() %>% 
  setView(lng=0, lat=0, zoom=1) %>% 
  addProviderTiles("Esri.WorldImagery") %>% 
  addPolygons(data=lenoir, fillColor="chartreuse", fillOpacity=0.2, color="white", weight=2, popup=popupT) %>% 
  addPolygons(data=pinsky, fillColor="cyan", fillOpacity=0.2, color="white", weight=2, popup=popupM)
m
saveWidget(m, file="map.html", selfcontained=TRUE)
q()

